列出 relyingPartyDetailedSummary

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

检索 relyingPartyDetailedSummary 对象 的列表。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Report.Read.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 Report.Read.All

HTTP 请求

GET /reports/getRelyingPartyDetailedSummary

函数参数

参数 说明
period 支持的值包括:D1、D7、D30。 这些值采用格式 Dn,其中 n 表示在多少天内聚合报表。

可选的查询参数

此方法支持一些 OData 查询参数来帮助自定义响应。

  • 可以使用 参数 $filter 通过 relyingPartyId、migrationStatus 和其他属性进行筛选。 例如,$filter= relyingPartyId eq 'identifier'。
  • 可以在任何 $orderby $top GET 请求中使用 、 和 $skip 查询参数。

若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {code}。 必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 响应代码和请求的 200 OK relyingPartyDetailedSummary 对象。

示例

请求

下面展示了示例请求。

GET https://graph.microsoft.com/beta/reports/getRelyingPartyDetailedSummary(period='period_value')

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
  "id": "1fec2821-6c43-4919-9560-ce36c820faa5",
  "relyingPartyId": "https://contosoorg-dev-ed.my.contoso.com",
  "serviceId": "287ed092-c182-4748-99a9-9ef3b5a0a0f9",
  "relyingPartyName": "contoso",
  "successfulSignInCount": 90,
  "failedSignInCount": 10,
  "totalSignInCount": 100,
  "signInSuccessRate":90.0,
  "uniqueUserCount": 10,
  "migrationStatus": "ready",
  "replyUrls": [
      "https://contosoorg-dev-ed.my.contoso.com"
  ],
  "migrationValidationDetails": [
      {
          "name": "AdditionalWSFedEndpointCheckResult",
          "value": "{\"result\": 0, \"message\": \"No additional WS-Federation endpoints were found.\"}"
      }
  ]
}